QGIS Application - Bug report #6523
QGIS Crashes if | load a sid file
2012-10-16 01:54 AM - Thomas Arnold

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: upstream
Crashes QGIS or corruptsdata: Copied to github as #: 15739
Description

Hi,

| use QGis Master Codeversion 5afd739 (OSGeo Installation) in a windows xp environment.
If I load a sid file than QGIS crashes.

Example sid data: http://www.bks.co.uk/en/sampledata.html.

Thomas

Related issues:
Duplicated by QGIS Application - Bug report # 6636: Latest gdal update leads ... Rejected 2012-11-06

History

#1 - 2012-10-16 03:21 AM - Giovanni Manghi
- Category set to Rasters

- Assignee set to Radim Blazek

- Target version set to Version 2.0.0

Confirmed here.

#2 - 2012-10-17 12:05 AM - Radim Blazek

QGIS 1.8 works? gdal_translate works?

#3 - 2012-10-17 05:51 AM - Thomas Arnold

QGIS 1.8 standalone installer works fine (GDAL/OGR 1.9.1).
gdal_translate and gdalinfo in Master and QGIS 1.8 OSGeo-Installation (GDAL/OGR 1.9.2) crashes too. It seems to me that this is a problem of the MrSID
Raster plugin in the latest gdal version.

#4 - 2012-10-17 07:36 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to upstream

2025-04-26 12



http://www.bks.co.uk/en/sampledata.html

Related to the GDAL update in OSGeo4W. Forwarded upstream OSGeo4W !#313

#5 - 2012-10-17 07:37 AM - Jiirgen Fischer
- Operating System set to Windows
- Assignee deleted (Radim Blazek)

2025-04-26 22


http://trac.osgeo.org/osgeo4w/ticket/313

